Glib::RecMutex::Lock Class Reference

Utility class for exception-safe locking of recursive mutexes. More...

`#include <glibmm/thread.h>`

## Public Member Functions

| Lock (RecMutex& mutex)
| Lock (RecMutex& mutex, NotLock)
| Lock (RecMutex& mutex, TryLock)
| Lock (const RecMutex::Lock&)=delete
RecMutex::Lock& | operator= (const RecMutex::Lock&)=delete
| ~Lock ()
void | acquire ()
bool | try_acquire ()
void | release ()
bool | locked () const

## Detailed Description

Utility class for exception-safe locking of recursive mutexes.

Deprecated:
  Use Glib::Threads::RecMutex instead.

## Constructor & Destructor Documentation

## Lock() [1/4]

Glib::RecMutex::Lock::Lock | ( | RecMutex& | mutex | ) |

inline explicit

## Lock() [2/4]

Glib::RecMutex::Lock::Lock | ( | RecMutex& | mutex,
|  | NotLock |
| ) |  |

inline

## Lock() [3/4]

Glib::RecMutex::Lock::Lock | ( | RecMutex& | mutex,
|  | TryLock |
| ) |  |

inline

## Lock() [4/4]

Glib::RecMutex::Lock::Lock | ( | const RecMutex::Lock& |  | ) |

delete

## ~Lock()

Glib::RecMutex::Lock::~Lock | ( |  | ) |

inline

## Member Function Documentation

## acquire()

void Glib::RecMutex::Lock::acquire | ( |  | ) |

inline

## locked()

bool Glib::RecMutex::Lock::locked | ( |  | ) | const

inline

## operator=()

RecMutex::Lock& Glib::RecMutex::Lock::operator= | ( | const RecMutex::Lock& |  | ) |

delete

## release()

void Glib::RecMutex::Lock::release | ( |  | ) |

inline

## try_acquire()

bool Glib::RecMutex::Lock::try_acquire | ( |  | ) |

inline